<!DOCTYPE html>
<!-- Created By CodingNepal -->
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <!-- <title>Multi Step Form | CodingNepal</title> -->
    <link rel="stylesheet" href="{{ asset('assets/css/stepper.css') }}">
    <link href="{{ asset('assets/vendor/fontawesome-free/css/all.min.css') }}" rel="stylesheet" type="text/css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css"/>
  </head>
  <body>
    <div class="container">
      <header>
        C-Address Signup Form
        <div style="font-size: 15px; color: #000"> Or <a href="#" style="color: #4e73dfcc;">Sign In</a></div>
      </header>
        <div class="progress-bar">
          <div class="step">
            <p></p>
            <div class="bullet">
              <span>1</span>
            </div>
            <div class="check fas fa-check"></div>
          </div>
          <div class="step">
            <p></p>
            <div class="bullet">
              <span>2</span>
            </div>
            <div class="check fas fa-check"></div>
          </div>
          <div class="step">
            <p></p>
            <div class="bullet">
              <span>3</span>
            </div>
            <div class="check fas fa-check"></div>
          </div>
          <div class="step">
            <p></p>
            <div class="bullet">
              <span>4</span>
            </div>
            <div class="check fas fa-check"></div>
          </div>
        </div>
        <div class="form-outer">
          <form method="POST" action="{{ route('register') }}">
            @csrf
            <div class="page slide-page">
              <div class="title">Basic Info:</div>
              <div class="input_field">
                <div class="field field_margin">
                  <div class="label">First Name</div>
                  <input type="text" class="@error('name') is-invalid @enderror" name="name" required>
                  @error('name')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
                <div class="field field_margin">
                  <div class="label">Last Name</div>
                  <input type="text" class="@error('firstname') is-invalid @enderror" name="firstname" required>
                  @error('firstname')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
              </div>
              <div class="field full_field">
                <div class="label">Phone Number</div>
                  <input type="text" class="@error('phone') is-invalid @enderror" name="phone" required>
                  @error('phone')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
              </div>
              <div class="field">
                <button class="firstNext next">Next</button>
              </div>
            </div>
              <div class="page">
                <div class="title">Second Information:</div>
                <div class="field full_field">
                  <div class="label">Profession</div>
                  <input type="text" class="@error('job') is-invalid @enderror" name="job" required>
                  @error('job')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
                <div class="input_field">
                  <div class="field field_margin">
                    <div class="label">Birthday</div>
                    <input type="date" class="@error('birthday') is-invalid @enderror" name="birthday" required>
                    @error('birthday')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                  </div>
                  <div class="field field_margin">
                    <div class="label">Gender</div>
                    <select name="gender" class="@error('gender') is-invalid @enderror">
                      <option value="male">Male</option>
                      <option value="female">Female</option>
                      <option value="other">Other</option>
                    </select>
                  </div>
                </div>
                <div class="field full_field">
                  <div class="label">Nationality</div>
                  <input type="text" class="@error('nationality') is-invalid @enderror" name="nationality" required>
                  @error('nationality')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
                <div class="field btns">
                  <button class="prev-1 prev">Previous</button>
                  <button class="next-1 next">Next</button>
                </div>
              </div>
              <div class="page">
                <div class="title">Other:</div>
                <div class="field full_field">
                  <div class="label">Address</div>
                  <input type="text" class="@error('address') is-invalid @enderror" name="address" required>
                  @error('address')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
                <div class="input_field">
                  <div class="field field_margin">
                    <div class="label">Height</div>
                    <input type="number" class="@error('height') is-invalid @enderror" name="height" required>
                    @error('height')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                  </div>
                  <div class="field field_margin">
                    <div class="label">Mensuration</div>
                    <input type="number" class="@error('mensuration') is-invalid @enderror" name="mensuration" required>
                    @error('mensuration')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                  </div>
                </div>
                <div class="field btns">
                  <button class="prev-2 prev">Previous</button>
                  <button class="next-2 next">Next</button>
                </div>
              </div>
              <div class="page">
                <div class="title">Login Details:</div>
                <div class="field full_field">
                  <div class="label">Email</div>
                  <input type="text" class="@error('email') is-invalid @enderror" name="email" required>
                  @error('email')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
                <div class="input_field">
                  <div class="field field_margin">
                    <div class="label">Password</div>
                    <input type="password" class="@error('password') is-invalid @enderror" name="password" required>
                    @error('password')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                  </div>
                  <div class="field field_margin">
                    <div class="label">Password Confirmation</div>
                    <input type="password" name="password_confirmation" required>
                  </div>
                </div>
                <div class="field btns">
                  <button class="prev-3 prev">Previous</button>
                  <button type="submit">Submit</button>
                </div>
              </div>
            </form>
          </div>
        </div>
        <!-- Somehow I got an error, so I comment the script tag, just uncomment to use -->
        <script src="{{ asset('assets/js/stepper.js') }}"></script>

  </body>
</html>
