@extends('layouts.app')

@section('title', '| Utilisateurs')

@section('content')

    <!-- Page Heading -->
    <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800">Profil Dashboard</h1>
        <a href="{{ route('dashboard') }}" class="d-none d-sm-inline-block btn btn-sm btn-success shadow-sm"><i class="fas fa-user fa-sm text-white-50"></i> Dashboard</a>
    </div>

    <!-- DataTales Example -->
    <div class="row">
        <div class="col-md-10 offset-md-1">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">My Profil</h6>
                </div>
                <div class="card-body">
                    <!-- start -->
                        <div class="row">
                            <div class="col-md-12 mx-auto">
                                <!-- Profile widget -->
                                <div class="bg-white shadow rounded overflow-hidden">

                                    <div class="px-4 pt-0 pb-4 cover" style="background-image: url({{ url('/storage/upload/'.auth()->user()->coverImage) }})">
                                        <div class="media align-items-end profile-head">
                                            <div class="profile mr-3">
                                                <img src="{{url('/storage/upload/'.auth()->user()->profilImage)}}"
                                                    alt="..." width="130" class="rounded mb-2 img-thumbnail">
                                                    <a href="#" data-toggle="modal" data-target="#profilImage" style="z-index: 10;"><i class="fa fa-camera fa-2x" style="position: fixed; left: 0px;"></i></a>
                                                <a href="{{ route('editprofil')}}" class="btn btn-outline-dark btn-sm btn-block">Edit profile</a>
                                            </div>
                                            <a href="#" data-toggle="modal" data-target="#coverImage" style="z-index: 10;"><i class="fa fa-camera fa-2x" style="position: fixed; right: 0px; bottom: 60px"></i></a>
                                            <div class="media-body mb-5 text-white">
                                                <h4 class="mt-0 mb-0">{{ Auth::user()->name }} {{ Auth::user()->firstname }}</h4>
                                                <p class="small mb-4"> <i class="fab fa-google mr-2"></i>{{ Auth::user()->email }}</p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="bg-light p-4 d-flex justify-content-end text-center">
                                        <ul class="list-inline mb-0" style="z-index: 10;">
                                            @if ($socialNetworks->facebook !== null)
                                                <li class="list-inline-item">
                                                    <a href="#"><h5 class="font-weight-bold"><i class="fab fa-facebook-f mr-1"></i></h5></a>
                                                </li>
                                            @endif
                                            @if ($socialNetworks->twitter !== null)
                                                <li class="list-inline-item">
                                                    <a href="#"><h5 class="font-weight-bold"><i class="fab fa-twitter mr-1"></i></h5></a>
                                                </li>
                                            @endif
                                            @if ($socialNetworks->instagram !== null)
                                                <li class="list-inline-item">
                                                    <a href="#"><h5 class="font-weight-bold"><i class="fab fa-instagram mr-1"></i></h5></a>
                                                </li>
                                            @endif
                                            @if ($socialNetworks->linkdink !== null)
                                                <li class="list-inline-item">
                                                    <a href="#"><h5 class="font-weight-bold mb-0 d-block"><i class="fab fa-linkedin mr-1"></i></h5></a>
                                                </li>
                                            @endif
                                        </ul>
                                    </div>
                                    <div class="px-4 py-3">
                                        <h5 class="mb-0">About {{ Auth::user()->name}} {{ Auth::user()->firstname}}</h5>
                                        <div class="p-4 rounded shadow-sm bg-light">
                                            <div class="row">
                                                <div class="col-md-6" style="border-right: 1px solid gray;">
                                                    <div class="d-flex">
                                                        <p><h5 class="mx-3">Job:</h5>
                                                            @if (Auth::user()->job)
                                                                <h5 class="font-weight-bold"> {{ Auth::user()->job }}</h5>
                                                            @else
                                                                <h5 class="font-weight-bold"> No Information</h5>
                                                            @endif
                                                        </p>
                                                    </div>
                                                    <div class="d-flex">
                                                        <p><h5 class="mx-3">Address:</h5>
                                                            @if (Auth::user()->address)
                                                                <h5 class="font-weight-bold"> {{ Auth::user()->address }}</h5>
                                                            @else
                                                                <h5 class="font-weight-bold"> No Information</h5>
                                                            @endif
                                                        </p>
                                                    </div>
                                                    <div class="d-flex">
                                                        <p><h5 class="mx-3">Phone:</h5>
                                                            @if (Auth::user()->phone)
                                                                <h5 class="font-weight-bold"> {{ Auth::user()->phone }}</h5>
                                                            @else
                                                                <h5 class="font-weight-bold"> No Information</h5>
                                                            @endif
                                                        </p>
                                                    </div>
                                                    <div class="d-flex">
                                                        <p><h5 class="mx-3">Nationality:</h5>
                                                            @if (Auth::user()->nationality)
                                                                <h5 class="font-weight-bold"> {{ Auth::user()->nationality }}</h5>
                                                            @else
                                                                <h5 class="font-weight-bold"> No Information</h5>
                                                            @endif
                                                        </p>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="d-flex">
                                                        <p><h5 class="mx-3">Age:</h5>
                                                            @if (Auth::user()->birthday)
                                                                <h5 class="font-weight-bold"> {{ $myage }} ans</h5>
                                                            @else
                                                                <h5 class="font-weight-bold"> No Information</h5>
                                                            @endif
                                                        </p>
                                                    </div>
                                                    <div class="d-flex">
                                                        <p><h5 class="mx-3">Mensuration:</h5>
                                                            @if (Auth::user()->mensuration)
                                                                <h5 class="font-weight-bold"> {{ Auth::user()->mensuration }} cm</h5>
                                                            @else
                                                                <h5 class="font-weight-bold"> No Information</h5>
                                                            @endif
                                                        </p>
                                                    </div>
                                                    <div class="d-flex">
                                                        <p><h5 class="mx-3">Height:</h5>
                                                            @if (Auth::user()->height)
                                                                <h5 class="font-weight-bold"> {{ Auth::user()->height }} cm</h5>
                                                            @else
                                                                <h5 class="font-weight-bold"> No Information</h5>
                                                            @endif
                                                        </p>
                                                    </div>
                                                    <div class="d-flex">
                                                        <p><h5 class="mx-3">Gender:</h5>
                                                            @if (Auth::user()->gender)
                                                                <h5 class="font-weight-bold"> {{ Auth::user()->gender }}</h5>
                                                            @else
                                                                <h5 class="font-weight-bold"> No Information</h5>
                                                            @endif
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <!-- end -->
                    <!-- Profil Image Modal-->
                    <div class="modal fade" id="profilImage" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <form class="user" method="POST" action="{{ route('profilImageUpdate') }}" enctype="multipart/form-data">
                                @csrf
                                <div class="modal-content">
                                    <div class="modal-body">
                                        <div class="form-group">
                                            <div class="drop-zone">
                                                <span class="drop-zone__prompt">Drop file here or click to upload</span>
                                                <input type="file" name="profilImage" class="drop-zone__input @error('profilImage') is-invalid @enderror" required>
                                            </div>
                                            @error('profilImage')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button class="btn btn-secondary btn-icon-split" type="button" data-dismiss="modal">
                                            <span class="icon text-white-50">
                                                <i class="fas fa-arrow-left"></i>
                                            </span>
                                            <span class="text">cancel</span>
                                        </button>
                                        <button type="submit" class="btn btn-success btn-icon-split">
                                            <span class="icon text-nbcj-50">
                                                <i class="fas fa-check"></i>
                                            </span>
                                            <span class="text">Ok</span>
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>

                    <!-- Cover Image Modal-->
                    <div class="modal fade" id="coverImage" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                        <form class="user" method="POST" action="{{ route('coverImageUpdate') }}" enctype="multipart/form-data">
                                @csrf
                                <div class="modal-content">
                                    <div class="modal-body">
                                        <div class="form-group">
                                            <div class="drop-zone">
                                                <span class="drop-zone__prompt">Drop file here or click to upload</span>
                                                <input type="file" name="coverImage" class="drop-zone__input @error('coverImage') is-invalid @enderror" required>
                                            </div>
                                            @error('coverImage')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button class="btn btn-secondary btn-icon-split" type="button" data-dismiss="modal">
                                            <span class="icon text-white-50">
                                                <i class="fas fa-arrow-left"></i>
                                            </span>
                                            <span class="text">cancel</span>
                                        </button>
                                        <button type="submit" class="btn btn-success btn-icon-split">
                                            <span class="icon text-nbcj-50">
                                                <i class="fas fa-check"></i>
                                            </span>
                                            <span class="text">Ok</span>
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

@endsection

@push('js')
    <script src="{{asset('assets/js/dragdrop.js')}}"></script>
@endpush

