@extends('layouts.app')

@section('title', '| Utilisateurs')

@section('content')

    <!-- Page Heading -->
    <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800">Roles Dashboard</h1>
        <a href="{{ route('roleslist') }}" class="d-none d-sm-inline-block btn btn-sm btn-success shadow-sm"><i class="fas fa-user fa-sm text-white-50"></i>Roles List</a>
    </div>

    <!-- DataTales Example -->
    <div class="row">
        <div class="col-md-10 offset-md-1">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Edit Role</h6>
                </div>
                <div class="card-body">
                    <form class="user" method="POST" action="{{ route('roleupdate', Crypt::encrypt($role->id)) }}">
                        @csrf
                        <div class="form-group">
                            <input type="text" name="name" class="form-control form-control-user col-md-8 offset-md-2 @error('name') is-invalid @enderror" value="{{ $role->name }}" placeholder="Role Name">
                            @error('name')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <hr>
                        <h6>Assign Permission To Roles</h6>
                        <div class="form-group">
                            @foreach ($permissions as $permission)
                                <div class="custom-control custom-checkbox small">
                                    <input type="checkbox" name="permissions[]" value="{{$permission->id}}" class="custom-control-input" id="customCheck{{$permission->id}}">
                                    <label class="custom-control-label" for="customCheck{{$permission->id}}">{{ $permission->name }}</label>
                                </div>
                            @endforeach
                        </div>
                        <button type="submit" class="btn btn-primary btn-user btn-block">
                            Edit Role
                        </button>
                        <hr>
                    </form>
                </div>
            </div>
        </div>
    </div>

@endsection

