@extends('layouts.app')

@section('title', '| Utilisateurs')

@section('content')

    <!-- Page Heading -->
    <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800">User Dashboard</h1>
        <a href="{{ route('userslist') }}" class="d-none d-sm-inline-block btn btn-sm btn-success shadow-sm"><i class="fas fa-user fa-sm text-white-50"></i> Users List</a>
    </div>

    <!-- DataTales Example -->
    <div class="row">
        <div class="col-md-10 offset-md-1">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Member Detail</h6>
                </div>
                <div class="card-body">
                    <!-- start -->
                        <div class="row">
                            <div class="col-md-12 mx-auto">
                                <!-- Profile widget -->
                                <div class="bg-white shadow rounded overflow-hidden">
                                    <div class="px-4 pt-0 pb-4 cover">
                                        <div class="media align-items-end profile-head">
                                            <div class="profile mr-3">
                                                <img src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=500&q=80"
                                                    alt="..." width="130" class="rounded mb-2 img-thumbnail">
                                            </div>
                                            <div class="media-body mb-5 text-white">
                                                <h4 class="mt-0 mb-0">{{ $user->name}} {{ $user->firstname}}</h4>
                                                <p class="small mb-4"> <i class="fab fa-google mr-2"></i>{{ $user->email }}</p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="bg-light p-4 d-flex justify-content-end text-center">
                                        <ul class="list-inline mb-0" style="z-index: 10;">
                                            <li class="list-inline-item">
                                            <a href="#"><h5 class="font-weight-bold"><i class="fab fa-facebook-f mr-1"></i></h5></a>
                                            </li>
                                            <li class="list-inline-item">
                                                <a href="#"><h5 class="font-weight-bold"><i class="fab fa-twitter mr-1"></i></h5></a>
                                            </li>
                                            <li class="list-inline-item">
                                            <a href="#"><h5 class="font-weight-bold"><i class="fab fa-instagram mr-1"></i></h5></a>
                                            </li>
                                            <li class="list-inline-item">
                                            <a href="#"><h5 class="font-weight-bold mb-0 d-block"><i class="fab fa-linkedin mr-1"></i></h5></a>
                                            </li>
                                        </ul>
                                    </div>
                                    <div class="px-4 py-3">
                                        <h5 class="mb-0">About {{ $user->name}} {{ $user->firstname}}</h5>
                                        <div class="p-4 rounded shadow-sm bg-light">
                                            <div class="row">
                                                <div class="col-md-6" style="border-right: 1px solid gray;">
                                                    <div class="d-flex">
                                                        <p><h5 class="mx-3">Job:</h5>
                                                            @if ($user->job)
                                                                <h5 class="font-weight-bold"> {{ $user->job }}</h5>
                                                            @else
                                                                <h5 class="font-weight-bold"> No Information</h5>
                                                            @endif
                                                        </p>
                                                    </div>
                                                    <div class="d-flex">
                                                        <p><h5 class="mx-3">Address:</h5>
                                                            @if ($user->address)
                                                                <h5 class="font-weight-bold"> {{ $user->address }}</h5>
                                                            @else
                                                                <h5 class="font-weight-bold"> No Information</h5>
                                                            @endif
                                                        </p>
                                                    </div>
                                                    <div class="d-flex">
                                                        <p><h5 class="mx-3">Phone:</h5>
                                                            @if ($user->phone)
                                                                <h5 class="font-weight-bold"> {{ $user->phone }}</h5>
                                                            @else
                                                                <h5 class="font-weight-bold"> No Information</h5>
                                                            @endif
                                                        </p>
                                                    </div>
                                                    <div class="d-flex">
                                                        <p><h5 class="mx-3">Nationality:</h5>
                                                            @if ($user->nationality)
                                                                <h5 class="font-weight-bold"> {{ $user->nationality }}</h5>
                                                            @else
                                                                <h5 class="font-weight-bold"> No Information</h5>
                                                            @endif
                                                        </p>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="d-flex">
                                                        <p><h5 class="mx-3">Age:</h5>
                                                            @if ($user->birthday)
                                                                <h5 class="font-weight-bold"> {{ $user->birthday }}</h5>
                                                            @else
                                                                <h5 class="font-weight-bold"> No Information</h5>
                                                            @endif
                                                        </p>
                                                    </div>
                                                    <div class="d-flex">
                                                        <p><h5 class="mx-3">Mensuration:</h5>
                                                            @if ($user->mensuration)
                                                                <h5 class="font-weight-bold"> {{ $user->mensuration }} cm</h5>
                                                            @else
                                                                <h5 class="font-weight-bold"> No Information</h5>
                                                            @endif
                                                        </p>
                                                    </div>
                                                    <div class="d-flex">
                                                        <p><h5 class="mx-3">Height:</h5>
                                                            @if ($user->height)
                                                                <h5 class="font-weight-bold"> {{ $user->height }} m</h5>
                                                            @else
                                                                <h5 class="font-weight-bold"> No Information</h5>
                                                            @endif
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <!-- end -->

                </div>
            </div>
        </div>
    </div>

@endsection

